Anonymous avatar Anonymous committed 484dab3

Add help text to all scripts, displayed when run with no args. [#79]

Comments (0)

Files changed (5)

 # debug-fresh <configfile>
 # create a brand new riak ring, using configfile as app config params
 # run interactively, w/o heartbeat
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
 HOSTNAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_hostname)])" -run init stop)
 # debug-join <configfile> <node>
 # join an existing riak ring via a node known to be listening on ip:port
 # run in interactive debug shell mode
+if [ $# -lt 2 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile> Node" 1>&2
+    exit 1
+fi
 . riak-env.sh
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
 HOSTNAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_hostname)])" -run init stop)
 #!/usr/bin/env bash
 # debug-restart <configfile>
 # assuming we've run a node from here before, start back up in debug mode
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
 HOSTNAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_hostname)])" -run init stop)
 #!/usr/bin/env bash
 # start-fresh <configfile>
 # create a brand new riak ring, using configfile as app config params
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
 HOSTNAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_hostname)])" -run init stop)
 #!/usr/bin/env bash
 # start-restart <configfile>
 # assuming we've run a node from here before, start back up
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 echo $ERL_MAX_ETS_TABLES
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.